Bug 102991 - pgk-config does not always remove '-I/usr/include'
pgk-config does not always remove '-I/usr/include'
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: pkgconfig (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-24 10:11 EDT by Steve Chaplin
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 14:22:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Chaplin 2003-08-24 10:11:23 EDT
Description of problem:
pgk-config --cflags (by default) is supposed to remove '-I/usr/include'
from the output cflags, it does not always do this.

Version-Release number of selected component (if applicable):
 0.14.0 

How reproducible:
Every time

Steps to Reproduce:
1. Run these commands
pkg-config --cflags gconfgtk
-> -I/usr/include/gconf/1 -I/usr/include ...

pkg-config --cflags gconf
-> -I/usr/include/gconf/1 -I/usr/include ...

pkg-config --cflags oaf
-> -I/usr/include ..
    
Actual results:
'-I/usr/include' is output

Expected results:
'-I/usr/include' is removed from the output.

Additional info:
PKG_CONFIG_ALLOW_SYSTEM_CFLAGS is not set.
Comment 1 Havoc Pennington 2003-08-24 16:46:52 EDT
Probably doesn't work with the obsolete GNOME 1.x libraries.
Comment 2 Matthias Clasen 2005-03-09 14:22:44 EST
Filed upstream as https://bugs.freedesktop.org/show_bug.cgi?id=2687

Note You need to log in before you can comment on or make changes to this bug.